Package org.apache.sling.distribution.journal.impl.event

## Class DistributionEvent

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.event.DistributionEvent

    @ParametersAreNonnullByDefault
    public class DistributionEvent
    extends Object

### Field Summary

Fields
`static String` `PACKAGE_ID`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.service.event.Event` `eventPackageCreated​(org.apache.sling.distribution.journal.messages.PackageMessage pkgMsg, String agentName)`
`static org.osgi.service.event.Event` `eventPackageDistributed​(org.apache.sling.distribution.queue.DistributionQueueItem queueItem, String agentName)`
`static org.osgi.service.event.Event` `eventPackageQueued​(org.apache.sling.distribution.journal.messages.PackageMessage pkgMsg, String agentName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_ID

    public static final String PACKAGE_ID

See Also:
  Constant Field Values

### Method Detail

#### eventPackageCreated

    public static org.osgi.service.event.Event eventPackageCreated​(org.apache.sling.distribution.journal.messages.PackageMessage pkgMsg,
                                                                   String agentName)

#### eventPackageDistributed

    public static org.osgi.service.event.Event eventPackageDistributed​(org.apache.sling.distribution.queue.DistributionQueueItem queueItem,
                                                                       String agentName)

#### eventPackageQueued

    public static org.osgi.service.event.Event eventPackageQueued​(org.apache.sling.distribution.journal.messages.PackageMessage pkgMsg,
                                                                  String agentName)